Page MenuHomePhabricator

IME selector shows up at the bottom-right corner of the table while selecting a cell on a table or placing a cursor into it
Closed, ResolvedPublic

Description

Screenshot

Steps to reproduce:

1.Insert a table
2.Select a cell of a table or place the cursor inside it

Observed Result:

The IME selector shows up at the corner of the table when you select the cell and inside cell when you place the cursor into it

See the screenshots attached


Version: unspecified
Severity: normal

Attached:

Details

Reference
bz72824

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:54 AM
bzimport set Reference to bz72824.
Ryasmeen created this task.Oct 31 2014, 6:56 PM
Jdforrester-WMF closed this task as Resolved.Nov 24 2014, 12:11 AM
Jdforrester-WMF assigned this task to Catrope.
Jdforrester-WMF set Security to None.
Jdforrester-WMF moved this task from To Triage to Q4 on the VisualEditor board.
Jdforrester-WMF reopened this task as Open.Nov 24 2014, 12:14 AM
Jdforrester-WMF renamed this task from VisualEditor: IME selector shows up at the bottom-right corner of the table while selecting a cell on a table or placing a cursor into it to IME selector shows up at the bottom-right corner of the table while selecting a cell on a table or placing a cursor into it.Nov 24 2014, 12:32 AM
Jdforrester-WMF triaged this task as High priority.Nov 24 2014, 1:12 AM
Catrope closed this task as Resolved.Nov 24 2014, 7:21 PM

Fixed in ULS extension in https://gerrit.wikimedia.org/r/175190

Catrope reopened this task as Open.Nov 24 2014, 7:22 PM

The IME selector is still appearing in few other places when you try to type in something.I am listing it here:
Reference List dialog
Media Search dialog
Insert Transclusion dialog
In all parameter fields of all Citation dialogs
In all textboxes under Page Settings dialog

Ryasmeen moved this task from Q4 to Blocked on the VisualEditor board.Nov 25 2014, 12:51 AM
Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Nov 25 2014, 10:30 PM

The IME selector is still appearing in few other places when you try to type in something.I am listing it here:
Reference List dialog
Media Search dialog
Insert Transclusion dialog
In all parameter fields of all Citation dialogs
In all textboxes under Page Settings dialog

This is fine; that's how jQuery IME is "meant" to work, anyway. And yes, it's really ugly.

Verified in en.wiki